Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057019 - [abrt] libreoffice-core: SwIndex::Init(): soffice.bin killed by SIGSEGV [NEEDINFO]
Summary: [abrt] libreoffice-core: SwIndex::Init(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5b11699ecc551e33bb9e4c2344d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 10:56 UTC by Antonio Guzmán Simón
Modified: 2014-02-14 14:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-14 14:23:19 UTC
caolanm: needinfo? (aguzmansimon)


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: cgroup (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: core_backtrace (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: dso_list (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: environ (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: exploitable (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: limits (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: maps (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: open_fds (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: proc_pid_status (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details
File: var_log_messages (deleted)
2014-01-23 10:56 UTC, Antonio Guzmán Simón
no flags Details

Description Antonio Guzmán Simón 2014-01-23 10:56:05 UTC
Version-Release number of selected component:
libreoffice-core-4.1.4.2-4.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/ags/Google%20Drive/Oposici%C3%B3n/Estado%20de%20repaso.odt --splash-pipe=5
crash_function: SwIndex::Init
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SwIndex::Init at /usr/src/debug/libreoffice-4.1.4.2/sw/source/core/bastyp/index.cxx:72
 #1 SwPosition::SwPosition at /usr/src/debug/libreoffice-4.1.4.2/sw/source/core/crsr/pam.cxx:64
 #2 SwDoc::IsInRedlines at /usr/src/debug/libreoffice-4.1.4.2/sw/source/core/doc/docredln.cxx:3822
 #3 SwTxtNode::CountWords at /usr/src/debug/libreoffice-4.1.4.2/sw/source/core/txtnode/txtedt.cxx:1917
 #4 SwDoc::IncrementalDocStatCalculate at /usr/src/debug/libreoffice-4.1.4.2/sw/source/core/doc/doc.cxx:1662
 #5 SwDoc::DoIdleStatsUpdate at /usr/src/debug/libreoffice-4.1.4.2/sw/source/core/doc/doc.cxx:1746
 #6 Timer::ImplTimerCallbackProc at /usr/src/debug/libreoffice-4.1.4.2/vcl/source/app/timer.cxx:133
 #7 CallCallback at /usr/src/debug/libreoffice-4.1.4.2/vcl/inc/saltimer.hxx:53
 #8 sal_gtk_timeout_dispatch at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/gtk/app/gtkdata.cxx:832
 #12 g_main_context_iteration at gmain.c:3774

Comment 1 Antonio Guzmán Simón 2014-01-23 10:56:10 UTC
Created attachment 854292 [details]
File: backtrace

Comment 2 Antonio Guzmán Simón 2014-01-23 10:56:13 UTC
Created attachment 854293 [details]
File: cgroup

Comment 3 Antonio Guzmán Simón 2014-01-23 10:56:16 UTC
Created attachment 854294 [details]
File: core_backtrace

Comment 4 Antonio Guzmán Simón 2014-01-23 10:56:18 UTC
Created attachment 854295 [details]
File: dso_list

Comment 5 Antonio Guzmán Simón 2014-01-23 10:56:21 UTC
Created attachment 854296 [details]
File: environ

Comment 6 Antonio Guzmán Simón 2014-01-23 10:56:23 UTC
Created attachment 854297 [details]
File: exploitable

Comment 7 Antonio Guzmán Simón 2014-01-23 10:56:26 UTC
Created attachment 854298 [details]
File: limits

Comment 8 Antonio Guzmán Simón 2014-01-23 10:56:30 UTC
Created attachment 854299 [details]
File: maps

Comment 9 Antonio Guzmán Simón 2014-01-23 10:56:32 UTC
Created attachment 854300 [details]
File: open_fds

Comment 10 Antonio Guzmán Simón 2014-01-23 10:56:34 UTC
Created attachment 854301 [details]
File: proc_pid_status

Comment 11 Antonio Guzmán Simón 2014-01-23 10:56:36 UTC
Created attachment 854302 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-02-04 16:52:54 UTC
caolanm->antonio: Are you able to reproduce this, or was it a once-off thing ?


Note You need to log in before you can comment on or make changes to this bug.